API Docs
YMS API
Entry Ticket/Level 1
POST Search Entry Tickets with Paging

POST Search Entry Tickets with Paging

Introduction

Searches and retrieves entry tickets with pagination support based on multiple filter criteria. This endpoint allows users to query entry tickets by various parameters such as driver information, carrier, equipment details, status, and time ranges. It returns paginated results with sorting options, making it ideal for displaying entry ticket lists in the management dashboard, generating reports, and monitoring yard operations in real-time.

API Request

POST /entry-ticket/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "id": 0,
  "ids": [
    0
  ],
  "entryId": "string",
  "regexEntry": "string",
  "entryIds": [
    "string"
  ],
  "fuzzyEntryId": "string",
  "carrierId": "string",
  "carrierIds": [
    "string"
  ],
  "companyId": "string",
  "driverLicense": "string",
  "driverId": "string",
  "driverIds": [
    "string"
  ],
  "orDriverIds": [
    "string"
  ],
  "orCarrierIds": [
    "string"
  ],
  "orVehicleIds": [
    "string"
  ],
  "inboundActionType": [
    "LIVE_DELIVERY"
  ],
  "outboundActionType": [
    "LIVE_LOAD"
  ],
  "inYardActionType": [
    "DROP_OFF_RECEIVING"
  ],
  "entryTypes": [
    "string"
  ],
  "vehicleId": "string",
  "vehicleIds": [
    "string"
  ],
  "entryStatus": "NEW",
  "statuses": [
    "NEW"
  ],
  "excludeStatuses": "List.of(EntryTicketStatus.NEW)",
  "inYardAction": "DROP_OFF_RECEIVING",
  "createdSource": "SELF_CHECKIN",
  "createdSources": [
    "SELF_CHECKIN"
  ],
  "dropOffLocationId": "string",
  "pickUpLocationId": "string",
  "inboundAction": "LIVE_DELIVERY",
  "outboundAction": "LIVE_LOAD",
  "inboundCustomerIds": [
    "string"
  ],
  "outboundCustomerIds": [
    "string"
  ],
  "pickUpEquipmentIds": [
    "string"
  ],
  "inboundReceiptIds": [
    "string"
  ],
  "inboundReceiptId": "string",
  "outboundLoadIds": [
    "string"
  ],
  "outboundLoadId": "string",
  "appointmentId": "string",
  "appointmentIds": [
    "string"
  ],
  "taskEquipmentId": "string",
  "taskEquipmentIds": [
    "string"
  ],
  "loadTaskId": "string",
  "loadTaskIds": [
    "string"
  ],
  "receiveTaskId": "string",
  "receiveTaskIds": [
    "string"
  ],
  "windowCheckInTimePeriod": [
    "string"
  ],
  "checkInStartTimePeriod": [
    "string"
  ],
  "keyword": "string",
  "customerIds": [
    "string"
  ],
  "hasAppointment": true,
  "checkInEndTimePeriod": [
    "string"
  ],
  "nonAppointment": true,
  "relatedLoadIds": true
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyEntryTicketQueryNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "id": 0,
        "entryId": "",
        "carrierId": "",
        "companyId": "",
        "driverId": "",
        "vehicleId": "",
        "checkInComboId": "",
        "checkOutComboId": "",
        "checkInStartTime": "",
        "checkInEndTime": "",
        "checkOutStartTime": "",
        "checkOutEndTime": "",
        "notes": "",
        "entryStatus": "",
        "rejectReason": "",
        "forceCheckoutReason": "",
        "tags": [
          ""
        ],
        "inYardAction": "",
        "inboundAction": "",
        "outboundAction": "",
        "createdSource": "",
        "createdTime": "",
        "createdBy": "",
        "updatedTime": "",
        "updatedBy": "",
        "customerId": "",
        "dropOffLocationId": "",
        "dropOffLocationType": "",
        "pickUpLocationId": "",
        "pickUpLocationType": "",
        "dropOffLocationName": "",
        "pickUpLocationName": "",
        "carrierView": {
          "carrierId": "",
          "carrierName": "",
          "scac": [
            ""
          ],
          "usdot": "",
          "mcNumber": "",
          "verified": false,
          "createdTime": "",
          "createdBy": "",
          "updatedTime": "",
          "updatedBy": "",
          "carrierStatus": "",
          "knownName": "",
          "orgIds": [
            ""
          ]
        },
        "driverView": {
          "driverId": "",
          "driverName": "",
          "driverPhone": "",
          "driverLicensePhotos": [
            ""
          ],
          "driverPhotos": [
            ""
          ],
          "lastName": "",
          "firstName": "",
          "middleName": "",
          "licenseNumber": "",
          "email": "",
          "createdTime": "",
          "createdBy": "",
          "updatedTime": "",
          "updatedBy": "",
          "carrierId": "",
          "carrierName": "",
          "usdotNumber": "",
          "badge": ""
        },
        "vehicleView": {
          "id": 0,
          "vehicleId": "",
          "licensePlate": "",
          "platePhoto": "",
          "vehicleType": "",
          "usdotNumber": "",
          "mcNumber": "",
          "usdotPhoto": "",
          "truckPhotos": [
            ""
          ],
          "notes": "",
          "createdTime": "",
          "createdBy": "",
          "updatedTime": "",
          "updatedBy": "",
          "carrierId": "",
          "carrierName": "",
          "customerId": "",
          "customerName": ""
        },
        "inboundCustomerIds": [
          "CUST001",
          "CUST002"
        ],
        "inboundReceiptIds": [
          "REC001",
          "REC002"
        ],
        "inboundPhotoIds": [
          "PHOTO001",
          "PHOTO002"
        ],
        "outboundCustomerIds": [
          "CUST003"
        ],
        "outboundPhotoIds": [
          "PHOTO003"
        ],
        "outboundProofPhotoIds": [
          "PROOF001"
        ],
        "pickUpEquipmentIds": [
          "EQP001"
        ],
        "timeLines": [
          {
            "id": 0,
            "entryId": "",
            "action": "",
            "actionTime": "",
            "actionDetail": {
              "taskId": "",
              "assignee": "",
              "note": "",
              "taskSteps": [
                {
                  "id": 0,
                  "customerId": "",
                  "status": "",
                  "exceptionCode": "",
                  "sysNote": "",
                  "note": "",
                  "customerName": "",
                  "stepType": "",
                  "taskId": "",
                  "taskType": "",
                  "stepSequence": 0,
                  "assigneeUserIds": [
                    ""
                  ],
                  "assigneeUserNames": [
                    ""
                  ],
                  "lastAssignedWhen": "",
                  "priority": "",
                  "startTime": "",
                  "endTime": ""
                }
              ],
              "createdSource": "",
              "customerId": "",
              "customerName": "",
              "inbound": {
                "customerId": "",
                "customerName": "",
                "receiptIds": [
                  ""
                ],
                "equipmentType": "",
                "equipmentNo": "",
                "locationId": "",
                "locationName": ""
              },
              "outbound": {
                "customerId": "",
                "customerName": "",
                "loads": [
                  {
                    "loadNo": "",
                    "loadId": ""
                  }
                ],
                "equipmentType": "",
                "equipmentNo": "",
                "locationId": "",
                "locationName": ""
              },
              "equipmentType": "",
              "equipmentNo": "",
              "dockId": "",
              "dockName": "",
              "rejectReason": "",
              "action": ""
            },
            "actionBy": "",
            "actionSource": "",
            "actionRemark": "",
            "createdTime": "",
            "createdBy": "",
            "updatedTime": "",
            "updatedBy": ""
          }
        ],
        "outboundLoadIds": [
          "LOAD001"
        ],
        "appointmentId": "",
        "taskEquipmentId": "",
        "loadTaskId": "",
        "loadTaskAssignUserName": "",
        "receiveTaskId": "",
        "receiveTaskAssignUserName": "",
        "inboundCustomerNames": [
          "Customer A",
          "Customer B"
        ],
        "outboundCustomerNames": [
          "Customer C"
        ],
        "dropOffEquipmentId": "",
        "yardId": "",
        "createShuttleTaskAfterCheckIn": false,
        "createShuttleTaskAfterCheckOut": false,
        "checkInInfo": {
          "badge": "",
          "driverPhone": "",
          "lastName": "",
          "firstName": "",
          "middleName": "",
          "licenseNumber": "",
          "driverName": "",
          "driverId": "",
          "carrierId": "",
          "carrierName": "",
          "usdotNumber": "",
          "vehicleId": "",
          "licensePlate": "",
          "vehicleType": "",
          "combinationType": "",
          "equipmentId": "",
          "equipmentNo": "",
          "sealNumber": "",
          "equipmentType": "",
          "locationId": "",
          "suggestLocationId": "",
          "suggestCount": 0,
          "driverInfo": {
            "driverPhone": "",
            "lastName": "",
            "firstName": "",
            "middleName": "",
            "licenseNumber": "",
            "driverName": "",
            "driverId": "",
            "driverLicensePhotos": [
              ""
            ],
            "driverPhotos": [
              ""
            ],
            "badge": ""
          },
          "checkPhotos": [
            {
              "groupName": "",
              "photos": [
                ""
              ]
            }
          ],
          "locationName": "",
          "driverConfirmDropOffLocationId": "",
          "driverConfirmDropOffEquipmentNo": "",
          "driverConfirmDropOffEquipmentType": "",
          "driverConfirmPickUpLocationId": "",
          "driverConfirmPickUpEquipmentNo": "",
          "driverConfirmPickUpEquipmentType": ""
        },
        "checkOutInfo": {
          "badge": "",
          "driverPhone": "",
          "lastName": "",
          "firstName": "",
          "middleName": "",
          "licenseNumber": "",
          "driverName": "",
          "driverId": "",
          "carrierId": "",
          "carrierName": "",
          "usdotNumber": "",
          "vehicleId": "",
          "licensePlate": "",
          "vehicleType": "",
          "combinationType": "",
          "equipmentId": "",
          "equipmentNo": "",
          "sealNumber": "",
          "equipmentType": "",
          "locationId": "",
          "suggestLocationId": "",
          "suggestCount": 0,
          "driverInfo": {
            "driverPhone": "",
            "lastName": "",
            "firstName": "",
            "middleName": "",
            "licenseNumber": "",
            "driverName": "",
            "driverId": "",
            "driverLicensePhotos": [
              ""
            ],
            "driverPhotos": [
              ""
            ],
            "badge": ""
          },
          "checkPhotos": [
            {
              "groupName": "",
              "photos": [
                ""
              ]
            }
          ],
          "locationName": "",
          "driverConfirmDropOffLocationId": "",
          "driverConfirmDropOffEquipmentNo": "",
          "driverConfirmDropOffEquipmentType": "",
          "driverConfirmPickUpLocationId": "",
          "driverConfirmPickUpEquipmentNo": "",
          "driverConfirmPickUpEquipmentType": ""
        },
        "preEquipmentInfo": {
          "equipmentId": "",
          "equipmentNo": "",
          "containerSize": "",
          "trailerSize": "",
          "equipmentType": "",
          "cargoStatus": "",
          "isReefer": false,
          "equipmentCondition": "",
          "locationId": "",
          "locationName": ""
        },
        "pickUpEquipmentInfos": [
          {
            "equipmentId": "",
            "equipmentNo": "",
            "containerSize": "",
            "trailerSize": "",
            "equipmentType": "",
            "cargoStatus": "",
            "isReefer": false,
            "equipmentCondition": "",
            "locationId": "",
            "locationName": ""
          }
        ],
        "dropOffEquipmentInfo": {
          "equipmentId": "",
          "equipmentNo": "",
          "containerSize": "",
          "trailerSize": "",
          "equipmentType": "",
          "cargoStatus": "",
          "isReefer": false,
          "equipmentCondition": "",
          "locationId": "",
          "locationName": ""
        },
        "errorInfo": {
          "type": "",
          "errorMessage": ""
        },
        "taskAssignee": "",
        "customerName": "",
        "tripNos": [
          ""
        ],
        "receiptListView": [
          {
            "id": 0,
            "receiptId": "",
            "receiptStatus": "",
            "receiptType": "",
            "poNo": "",
            "carrierId": "",
            "customerId": "",
            "referenceNo": "",
            "equipmentType": "",
            "equipmentNo": "",
            "totalPalletQty": 0,
            "itemLines": [
              {
                "itemId": "",
                "itemName": "",
                "itemQty": "",
                "palletQty": "",
                "itemSpecDesc": "",
                "itemSpecName": "",
                "uomId": "",
                "qty": ""
              }
            ],
            "appointmentTime": "",
            "appointmentId": "",
            "sealNo": "",
            "dataChannel": "",
            "eventTime": "",
            "extraData": "",
            "carrierName": "",
            "customerName": "",
            "dynamicFieldValues": [
              {
                "entityId": "",
                "entityType": "",
                "fieldCode": "",
                "value": "",
                "fieldName": "",
                "longValue": "",
                "shortValue": ""
              }
            ],
            "proNos": [
              ""
            ],
            "invoicePros": [
              ""
            ],
            "doNos": [
              ""
            ],
            "tripNo": ""
          }
        ],
        "loadListView": [
          {
            "id": "",
            "loadId": "",
            "loadStatus": "",
            "loadNo": "",
            "shipMethod": "",
            "carrierId": "",
            "appointmentTime": "",
            "appointmentId": "",
            "orderIds": [
              ""
            ],
            "customerId": "",
            "masterBol": "",
            "sealNo": "",
            "customerName": "",
            "carrierName": "",
            "orderViews": [
              {
                "id": 0,
                "orderId": "",
                "orderStatus": "",
                "customerId": "",
                "poNo": "",
                "referenceNo": "",
                "retailer": "",
                "shipFrom": "",
                "shipTo": "",
                "totalPalletQty": 0,
                "totalCartonQty": 0,
                "itemInfos": [
                  {
                    "itemId": "",
                    "itemName": "",
                    "itemQty": "",
                    "palletQty": "",
                    "itemSpecDesc": "",
                    "itemSpecName": "",
                    "uomId": "",
                    "qty": ""
                  }
                ],
                "customerName": "",
                "carrierName": "",
                "shipToAddress": {
                  "id": "",
                  "name": "",
                  "country": "",
                  "state": "",
                  "city": "",
                  "zipCode": "",
                  "fax": "",
                  "address1": "",
                  "address2": "",
                  "contact": "",
                  "phone": "",
                  "extension": "",
                  "email": "",
                  "orgId": "",
                  "orgName": "",
                  "referenceNo": "",
                  "batchCode": "",
                  "storeNo": "",
                  "shorthand": "",
                  "toHome": false,
                  "tags": [
                    ""
                  ],
                  "latitude": "",
                  "longitude": "",
                  "crmAddressId": ""
                },
                "shipFromAddress": {
                  "id": "",
                  "name": "",
                  "country": "",
                  "state": "",
                  "city": "",
                  "zipCode": "",
                  "fax": "",
                  "address1": "",
                  "address2": "",
                  "contact": "",
                  "phone": "",
                  "extension": "",
                  "email": "",
                  "orgId": "",
                  "orgName": "",
                  "referenceNo": "",
                  "batchCode": "",
                  "storeNo": "",
                  "shorthand": "",
                  "toHome": false,
                  "tags": [
                    ""
                  ],
                  "latitude": "",
                  "longitude": "",
                  "crmAddressId": ""
                },
                "appointmentTime": "",
                "dynamicFieldValues": [
                  {
                    "entityId": "",
                    "entityType": "",
                    "fieldCode": "",
                    "value": "",
                    "fieldName": "",
                    "longValue": "",
                    "shortValue": ""
                  }
                ],
                "proNos": [
                  ""
                ],
                "invoicePros": [
                  ""
                ],
                "doNos": [
                  ""
                ],
                "tripNo": "",
                "shippedTime": ""
              }
            ],
            "dynamicFieldValues": [
              {
                "entityId": "",
                "entityType": "",
                "fieldCode": "",
                "value": "",
                "fieldName": "",
                "longValue": "",
                "shortValue": ""
              }
            ],
            "equipmentType": "",
            "equipmentNo": "",
            "referenceNoList": [
              ""
            ],
            "poNoList": [
              ""
            ],
            "templateLoadKey": "",
            "proNos": [
              ""
            ],
            "invoicePros": [
              ""
            ],
            "doNos": [
              ""
            ],
            "tripNos": [
              ""
            ],
            "loadType": "",
            "stagingLocationName": "",
            "shippedTime": ""
          }
        ],
        "preEntryId": "",
        "driverArrivedTime": "",
        "colorTag": "",
        "inboundSealNo": "",
        "outboundSealNo": "",
        "currentSealNo": ""
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultEntryTicketView